Package: org.codehaus.groovy.ast

## [Java] Class AnnotatedNode

- org.codehaus.groovy.ast.AnnotatedNode

- Base class for any AST node which is capable of being annotated

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `ClassNode` | `declaringClass`
    `boolean` | `synthetic`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `AnnotatedNode ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `addAnnotation(AnnotationNode value)`
    `` | `void` | `addAnnotations(List<AnnotationNode> annotations)`
    `` | `List<AnnotationNode>` | `getAnnotations()`
    `` | `List<AnnotationNode>` | `getAnnotations(ClassNode type)`
    `` | `ClassNode` | `getDeclaringClass()`
    `` | `boolean` | `hasNoRealSourcePosition()` Returns true for default constructors added by the compiler.
    `` | `boolean` | `isSynthetic()` Returns true if this node is added by the compiler.
    `` | `void` | `setDeclaringClass(ClassNode declaringClass)`
    `` | `void` | `setHasNoRealSourcePosition(boolean value)`
    `` | `void` | `setSynthetic(boolean synthetic)` Sets this node as a node added by the compiler.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getNodeMetaData, getNodeMetaData, getText, putNodeMetaData, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit`

- - ### Property Detail

    - #### ClassNode declaringClass

    - #### boolean synthetic

  - ### Constructor Detail

    - #### public AnnotatedNode()

  - ### Method Detail

    - #### public void addAnnotation(AnnotationNode value)

    - #### public void addAnnotations(List<AnnotationNode> annotations)

    - #### public List<AnnotationNode> getAnnotations()

    - #### public List<AnnotationNode> getAnnotations(ClassNode type)

    - #### public ClassNode getDeclaringClass()

    - #### public boolean hasNoRealSourcePosition()

      Returns true for default constructors added by the compiler.

      See Also:
        https

    - #### public boolean isSynthetic()

      Returns true if this node is added by the compiler. NOTE: This method has nothing to do with the synthetic flag for fields, methods or classes.

      Returns:
        true if this node is added by the compiler

    - #### public void setDeclaringClass(ClassNode declaringClass)

    - #### public void setHasNoRealSourcePosition(boolean value)

    - #### public void setSynthetic(boolean synthetic)

      Sets this node as a node added by the compiler. NOTE: This method has nothing to do with the synthetic flag for fields, methods or classes.

      Parameters:
        `synthetic` - - if true this node is marked as added by the compiler